## node-glob 2.0.9

=== Makefile ===

build:
	node-waf configure build

clean:
	node-waf clean

install:
	npm install

.PHONY: build clean install

=== wscript ===
#!/usr/bin/env python
srcdir = "."
blddir = "build"
VERSION = "0.0.1"

def set_options(opt):
  opt.tool_options("compiler_cxx")

def configure(conf):
  conf.check_tool("compiler_cxx")
  conf.check_tool("node_addon")

def build(bld):
  ### bsd_glob
  bsd_glob = bld.new_task_gen("cxx")
  bsd_glob.source = "deps/glob/glob.c"
  bsd_glob.includes = "deps/glob/"
  bsd_glob.name = "bsd_glob"
  bsd_glob.target = "bsd_glob"
  bsd_glob.install_path = None
  bsd_glob.cxxflags = ["-fPIC"]

  ### bsd_fnmatch
  bsd_fnmatch = bld.new_task_gen("cxx")
  bsd_fnmatch.source = "deps/fnmatch/fnmatch.c"
  bsd_fnmatch.includes = "deps/fnmatch/"
  bsd_fnmatch.name = "bsd_fnmatch"
  bsd_fnmatch.target = "bsd_fnmatch"
  bsd_fnmatch.install_path = None
  bsd_fnmatch.cxxflags = ["-fPIC"]

  obj = bld.new_task_gen("cxx", "shlib", "node_addon")
  obj.add_objects = "bsd_glob bsd_fnmatch"
  obj.includes = """
    src/
    deps/glob/
    deps/fnmatch/
  """
  obj.cxxflags = ["-D_FILE_OFFSET_BITS=64", "-D_LARGEFILE_SOURCE"]
  obj.target = "glob"
  obj.source = "src/glob.cc"

  ### debug versions
  bsd_glob_debug = bld.new_task_gen("cxx")
  bsd_glob_debug.source = bsd_glob.source
  bsd_glob_debug.includes = bsd_glob.includes
  bsd_glob_debug.name = "bsd_glob_debug"
  bsd_glob_debug.target = "bsd_glob_debug"
  bsd_glob_debug.install_path = None
  bsd_glob_debug.cxxflags = ["-fPIC", "-DDEBUG"]

  bsd_fnmatch_debug = bld.new_task_gen("cxx")
  bsd_fnmatch_debug.source = bsd_fnmatch.source
  bsd_fnmatch_debug.includes = bsd_fnmatch.includes
  bsd_fnmatch_debug.name = "bsd_fnmatch_debug"
  bsd_fnmatch_debug.target = "bsd_fnmatch_debug"
  bsd_fnmatch_debug.install_path = None
  bsd_fnmatch_debug.cxxflags = ["-fPIC", "-DDEBUG"]

  obj_debug = bld.new_task_gen("cxx", "shlib", "node_addon")
  obj_debug.add_objects = "bsd_glob_debug bsd_fnmatch_debug"
  obj_debug.includes = obj.includes
  obj_debug.cxxflags = ["-D_FILE_OFFSET_BITS=64", "-D_LARGEFILE_SOURCE", "-DDEBUG"]
  obj_debug.target = "glob_g"
  obj_debug.source = obj.source

=== debian/changelog ===
node-glob (2.0.9-1) unstable; urgency=low

  * Initial release

 -- David Paleino <dapal@debian.org>  Sat, 29 Oct 2011 01:51:50 +0200

=== debian/control ===
Source: node-glob
Section: devel
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
 , nodejs-dev
Standards-Version: 3.9.2
Homepage: https://github.com/isaacs/node-glob
Vcs-Git: git://git.debian.org/collab-maint/node-glob.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-glob.git;a=summary

Package: node-glob
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: glob/fnmatch binding for NodeJS
 node-glob is a binding to glob(3) and fnmatch(3) for NodeJS.
 .
 It includes a statically compiled port of the NetBSD glob and fnmatch
 programs, so it might not exactly match what `#include <fnmatch.h>`
 or `#include <glob.h>` implements on your system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo

override_dh_auto_clean:
	rm -rf build/

override_dh_auto_install:
	# nothing

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-glob.substvars \
		$(CURDIR)/debian/node-glob/usr/lib/nodejs/glob.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-glob/usr/lib/nodejs/glob.node

## node-glob 3.1.9

=== debian/changelog ===
node-glob (3.1.9-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Thu, 22 Mar 2012 21:43:41 +0100

node-glob (3.1.7-1) unstable; urgency=low

  [ Jérémy Lal ]
  * Standards-Version 3.9.3
  * Architecture 'all' because node-glob is now native JavaScript.
  * Depends on node-minimatch, node-inherits, node-graceful-fs.

  [ David Paleino ]
  * New upstream version
    - the package is now no more compiled (Closes: #664913)
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 22 Mar 2012 00:04:59 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,19 @@
 Build-Depends:
  debhelper (>= 8~)
  , dh-buildinfo
- , nodejs-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/isaacs/node-glob
 Vcs-Git: git://git.debian.org/collab-maint/node-glob.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-glob.git;a=summary
 
 Package: node-glob
-Architecture: any
+Architecture: all
 Depends:
- ${shlibs:Depends}
  , ${misc:Depends}
  , nodejs
+ , node-minimatch
+ , node-graceful-fs
+ , node-inherits
 Description: glob/fnmatch binding for NodeJS
  node-glob is a binding to glob(3) and fnmatch(3) for NodeJS.
  .

=== debian/watch ===
version=3
https://alioth.debian.org/~dapal/npmjs.php?id=glob \
	http://registry.npmjs.org/glob/-/glob-(\d+.*)\.tgz

## node-glob 3.2.1

=== debian/changelog ===
node-glob (3.2.1-2) unstable; urgency=low

  * Update package description. (Closes: #702203) 

 -- Jérémy Lal <kapouer@melix.org>  Sat, 27 Apr 2013 16:15:51 +0200

node-glob (3.2.1-1) unstable; urgency=low

  * Upstream update.
  * Add examples using dh_installexamples.
  * Add myself to uploaders.
  * Tighten dependencies on node-minimatch (>= 0.2.11) and
    node-graceful-fs (>= 1.2.0).
  * Copyright:
    + clean BSD-2-clause license text,
    + bump year to 2013, removed unneeded symbols,
    + set Upstream-Name (glob)
    + add trailing slash to Format url.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 27 Apr 2013 16:12:34 +0200

=== debian/control ===
Source: node-glob
Section: devel
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>, Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
Standards-Version: 3.9.3
Homepage: https://github.com/isaacs/node-glob
Vcs-Git: git://git.debian.org/collab-maint/node-glob.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-glob.git;a=summary

Package: node-glob
Architecture: all
Depends:
 , ${misc:Depends}
 , nodejs
 , node-minimatch (>= 0.2.11)
 , node-graceful-fs (>= 1.2.0)
 , node-inherits
Description: glob functionality for Node.js
 node-glob is a glob implementation for Node.js
 .
 It features brace expansion, extended glob matching, globstar matching,
 and can be invoked synchronously as well as asynchronously.
 It uses minimatch for pattern matching.
 .
 Node.js is an event-based server-side javascript engine.

## node-glob 3.2.6

=== debian/changelog ===
node-glob (3.2.6-1) unstable; urgency=low

  * Upstream update
  * control:
    + Standards-Version 3.9.4
    + Canonicalize Vcs fields
    + remove dependency on node-graceful-fs
    + bump dependency on node-inherits >= 2
  * copyright: add Source and Upstream-Contact fields.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Aug 2013 09:04:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends:
  debhelper (>= 8~)
  , dh-buildinfo
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://github.com/isaacs/node-glob
-Vcs-Git: git://git.debian.org/collab-maint/node-glob.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/node-glob.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/node-glob.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-glob.git
 
 Package: node-glob
 Architecture: all
@@ -17,8 +17,7 @@
  , ${misc:Depends}
  , nodejs
  , node-minimatch (>= 0.2.11)
- , node-graceful-fs (>= 1.2.0)
- , node-inherits
+ , node-inherits (>= 2)
 Description: glob functionality for Node.js
  node-glob is a glob implementation for Node.js
  .

## node-glob 4.0.5

=== debian/changelog ===
node-glob (4.0.5-1) unstable; urgency=medium

  * Imported Upstream version 4.0.5
  * Standards-Version: 3.9.5
  * Move to pkg-javascript
  * Depends node-once
  * License change to ISC

 -- Jérémy Lal <kapouer@melix.org>  Tue, 29 Jul 2014 02:10:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends:
  debhelper (>= 8~)
  , dh-buildinfo
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/isaacs/node-glob
-Vcs-Git: git://anonscm.debian.org/collab-maint/node-glob.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-glob.git
+Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-glob.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-glob.git
 
 Package: node-glob
 Architecture: all
@@ -18,6 +18,7 @@
  , nodejs
  , node-minimatch (>= 0.2.11)
  , node-inherits (>= 2)
+ , node-once
 Description: glob functionality for Node.js
  node-glob is a glob implementation for Node.js
  .

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-glob-$1.tar.gz/ \
https://github.com/isaacs/node-glob/tags .*/archive/v?([\d\.]+).tar.gz

## node-glob 7.1.1

=== debian/changelog ===
node-glob (7.1.1-1) unstable; urgency=medium

  * New upstream version 7.1.1 (Closes: #843957)
  * debhelper 9
  * Standards-Version 3.9.8
  * Secure Vcs Url
  * Depends: node-fs.realpath, node-inflight, node-path-is-absolute
  * autopkgtest

 -- Jérémy Lal <kapouer@melix.org>  Sun, 13 Nov 2016 23:28:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,25 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>, Jérémy Lal <kapouer@melix.org>
 Build-Depends:
- debhelper (>= 8~)
+ debhelper (>= 9~)
  , dh-buildinfo
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: https://github.com/isaacs/node-glob
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-glob.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-glob.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-glob.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-javascript/node-glob.git
+Testsuite: autopkgtest
 
 Package: node-glob
 Architecture: all
 Depends:
  , ${misc:Depends}
  , nodejs
- , node-minimatch (>= 0.2.11)
+ , node-minimatch (>= 3)
  , node-inherits (>= 2)
  , node-once
+ , node-fs.realpath
+ , node-inflight
+ , node-path-is-absolute
 Description: glob functionality for Node.js
  node-glob is a glob implementation for Node.js
  .

=== debian/tests/control ===
Test-Command: TEST_REGEN=1 tap test/*.js
Depends: @, node-tap (>= 8~), node-mkdirp, node-rimraf

## node-glob 7.1.2

=== debian/changelog ===
node-glob (7.1.2-4) unstable; urgency=medium

  * Team upload
  * Fix require testsuite

 -- Bastien Roucariès <rouca@debian.org>  Sun, 20 Aug 2017 15:57:20 +0200

node-glob (7.1.2-3) unstable; urgency=medium

  * Team upload
  * Supply TEST_REGEN=1 environment variable to fix autopkg test

 -- Bastien Roucariès <rouca@debian.org>  Sat, 19 Aug 2017 23:22:46 +0200

node-glob (7.1.2-2) unstable; urgency=medium

  * Team upload
  * Fix autopkg test suite depends
  * Fix nocheck and nodoc rules
  * Bump compat
  * Bump policy (no change)

 -- Bastien Roucariès <rouca@debian.org>  Fri, 18 Aug 2017 20:46:20 +0200

node-glob (7.1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version, needed for tape
  * Fix example, run testsuite
  * Improve depends rules
  * Use system installed package for running autopkg testsuite

 -- Bastien Roucariès <rouca@debian.org>  Sun, 13 Aug 2017 23:25:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,19 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>, Jérémy Lal <kapouer@melix.org>
 Build-Depends:
- debhelper (>= 9~)
+ debhelper (>= 10)
  , dh-buildinfo
-Standards-Version: 3.9.8
+ , dpkg-dev (>= 1.17.14),
+ , node-minimatch (>= 3.0.4) <!nocheck>
+ , node-inherits (>= 2) <!nocheck>
+ , node-once (>= 1.3.0) <!nocheck>
+ , node-fs.realpath (>= 1.0.0) <!nocheck>
+ , node-inflight (>= 1.0.4) <!nocheck>
+ , node-path-is-absolute (>= 1.0.0) <!nocheck>
+ , node-mkdirp <!nocheck>
+ , node-rimraf (>=2.2.8) <!nocheck>
+ , node-tap (>= 7.1.2) <!nocheck>
+Standards-Version: 4.0.1
 Homepage: https://github.com/isaacs/node-glob
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-glob.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-javascript/node-glob.git
@@ -17,12 +27,12 @@
 Depends:
  , ${misc:Depends}
  , nodejs
- , node-minimatch (>= 3)
+ , node-minimatch (>= 3.0.4)
  , node-inherits (>= 2)
- , node-once
- , node-fs.realpath
- , node-inflight
- , node-path-is-absolute
+ , node-once (>= 1.3.0)
+ , node-fs.realpath (>= 1.0.0) <!nocheck>
+ , node-inflight (>= 1.0.4)
+ , node-path-is-absolute (>= 1.0.0)
 Description: glob functionality for Node.js
  node-glob is a glob implementation for Node.js
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	tap test/*.js
else
	@echo '**********************************************************'
	@echo 'Skip test suite                                           '
	@echo '**********************************************************'
endif

override_dh_installexamples:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	dh_installexamples
	# patch example
	find $(CURDIR)/debian/node-glob/usr/share/doc/node-glob/examples/ -name '*.js' -exec \
                sed -i 's,require\s*[(]\s*"[.][.][^"]*"\s*[)],require("glob"),g' {} \;
else
	@echo '**********************************************************'
	@echo 'Skip example                                      '
	@echo '**********************************************************'
endif

=== debian/tests/control ===
Tests: require
Depends: node-glob

Tests: runtestsuite
Depends: node-glob
 , node-mkdirp
 , node-rimraf (>=2.2.8)
 , node-tap (>= 7.1.2)

## node-glob 7.1.3

=== debian/changelog ===
node-glob (7.1.3-2) unstable; urgency=medium

  * Team upload
  * Add upstream/metadata
  * Increase test timeout
  * Disable test/bash-comparison.js in autopkgtest. Fixes debci
  * Update www.gnu.org link to https
  * Declare compliance with policy 4.3.0
  * Remove useless build-dependency versions

 -- Xavier Guimard <yadd@debian.org>  Mon, 21 Jan 2019 21:44:07 +0100

node-glob (7.1.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.1.3
  * Remove dh-buildinfo build dependency
  * Make dependencies backports friendly
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sun, 16 Sep 2018 14:39:11 +0530

node-glob (7.1.2-6) unstable; urgency=medium

  * Team upload
  * Bump policy and compat (no changes)
  * Move to salsa
  * Move to section javascript

 -- Bastien Roucariès <rouca@debian.org>  Tue, 22 May 2018 16:58:19 +0200

node-glob (7.1.2-5) unstable; urgency=medium

  * Team upload
  * Bug fix: "Package built in nocheck build profile is broken", thanks to
    Daniel Schepler (Closes: #893322).

 -- Bastien Roucariès <rouca@debian.org>  Mon, 19 Mar 2018 09:19:51 +0100

=== debian/control ===
Source: node-glob
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Jérémy Lal <kapouer@melix.org>
Section: javascript
Priority: optional
Build-Depends: debhelper (>= 11~),
               dpkg-dev (>= 1.17.14~),
               node-minimatch (>= 3.0.4~) <!nocheck>,
               node-inherits <!nocheck>,
               node-once (>= 1.3~) <!nocheck>,
               node-fs.realpath <!nocheck>,
               node-inflight <!nocheck>,
               node-path-is-absolute <!nocheck>,
               node-mkdirp <!nocheck>,
               node-rimraf <!nocheck>,
               node-tap (>= 7.1.2~) <!nocheck>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/node-glob
Vcs-Git: https://salsa.debian.org/js-team/node-glob.git
Homepage: https://github.com/isaacs/node-glob

Package: node-glob
Architecture: all
Depends: ${misc:Depends},
         nodejs,
         node-minimatch (>= 3.0.4~),
         node-inherits,
         node-once (>= 1.3~),
         node-fs.realpath,
         node-inflight,
         node-path-is-absolute
Description: glob functionality for Node.js
 node-glob is a glob implementation for Node.js
 .
 It features brace expansion, extended glob matching, globstar matching,
 and can be invoked synchronously as well as asynchronously.
 It uses minimatch for pattern matching.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-	tap test/*.js
+	tap -T -R spec test/*.js
 else
 	@echo '**********************************************************'
 	@echo 'Skip test suite                                           '
@@ -21,10 +21,9 @@
 	dh_installexamples
 	# patch example
 	find $(CURDIR)/debian/node-glob/usr/share/doc/node-glob/examples/ -name '*.js' -exec \
-                sed -i 's,require\s*[(]\s*"[.][.][^"]*"\s*[)],require("glob"),g' {} \;
+		sed -i 's,require\s*[(]\s*"[.][.][^"]*"\s*[)],require("glob"),g' {} \;
 else
 	@echo '**********************************************************'
 	@echo 'Skip example                                      '
 	@echo '**********************************************************'
 endif
-

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: require
-Depends: node-glob
+Depends: node-glob, nodejs (>= 6)
 
 Tests: runtestsuite
 Depends: node-glob

## node-glob 7.1.6

=== debian/changelog ===
node-glob (7.1.6-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Switch test and install to pkg-js-tools
  * New upstream version 7.1.6
  * Install upstream logo
  * Update debian/copyright

 -- Xavier Guimard <yadd@debian.org>  Wed, 04 Dec 2019 20:57:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: David Paleino <dapal@debian.org>,
            Jérémy Lal <kapouer@melix.org>
 Section: javascript
+Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               dpkg-dev (>= 1.17.14~),
+Build-Depends: debhelper-compat (= 12),
                node-minimatch (>= 3.0.4~) <!nocheck>,
                node-inherits <!nocheck>,
                node-once (>= 1.3~) <!nocheck>,
@@ -14,11 +14,13 @@
                node-path-is-absolute <!nocheck>,
                node-mkdirp <!nocheck>,
                node-rimraf <!nocheck>,
-               node-tap (>= 7.1.2~) <!nocheck>
-Standards-Version: 4.3.0
+               node-tap (>= 7.1.2~) <!nocheck>,
+               pkg-js-tools (>= 0.9.19~)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-glob
 Vcs-Git: https://salsa.debian.org/js-team/node-glob.git
 Homepage: https://github.com/isaacs/node-glob
+Rules-Requires-Root: no
 
 Package: node-glob
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,16 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
-
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-	tap -T -R spec test/*.js
-else
-	@echo '**********************************************************'
-	@echo 'Skip test suite                                           '
-	@echo '**********************************************************'
-endif
+	dh $@ --with nodejs
 
 override_dh_installexamples:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-glob-$1.tar.gz/ \
https://github.com/isaacs/node-glob/tags .*/archive/v?([\d\.]+).tar.gz

## node-glob 7.1.6+~7.1.3

=== debian/changelog ===
node-glob (7.1.6+~7.1.3-1) unstable; urgency=medium

  * Team upload
  * Embed @types/glob and repack
  * Add a break against node-typescript-types < 20201105-1~

 -- Xavier Guimard <yadd@debian.org>  Thu, 05 Nov 2020 11:08:51 +0100

node-glob (7.1.6-3) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests

 -- Xavier Guimard <yadd@debian.org>  Sat, 24 Oct 2020 19:54:23 +0200

node-glob (7.1.6-2) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Add fix for node-mkdirp ≥ 1

 -- Xavier Guimard <yadd@debian.org>  Fri, 23 Oct 2020 11:28:46 +0200

=== debian/control ===
Source: node-glob
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>, Jérémy Lal <kapouer@melix.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-fs.realpath <!nocheck>
 , node-inflight <!nocheck>
 , node-inherits <!nocheck>
 , node-minimatch (>= 3.0.4~) <!nocheck>
 , node-mkdirp (>= 1) <!nocheck>
 , node-once (>= 1.3~) <!nocheck>
 , node-path-is-absolute <!nocheck>
 , node-rimraf <!nocheck>
 , node-tap (>= 7.1.2~) <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-glob
Vcs-Git: https://salsa.debian.org/js-team/node-glob.git
Homepage: https://github.com/isaacs/node-glob
Rules-Requires-Root: no

Package: node-glob
Architecture: all
Depends: ${misc:Depends}
 , node-fs.realpath
 , node-inflight
 , node-inherits
 , node-minimatch (>= 3.0.4~)
 , node-once (>= 1.3~)
 , node-path-is-absolute
 , nodejs
Provides: ${nodejs:Provides}
Breaks: node-typescript-types (<< 20201105-1~)
Description: glob functionality for Node.js
 node-glob is a glob implementation for Node.js
 .
 It features brace expansion, extended glob matching, globstar matching,
 and can be invoked synchronously as well as asynchronously.
 It uses minimatch for pattern matching.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-glob-$1.tar.gz/ \
https://github.com/isaacs/node-glob/tags .*/archive/v?([\d\.]+).tar.gz group

opts="searchmode=plain,component=types-glob,pgpmode=none" \
 https://registry.npmjs.org/@types/glob https://registry.npmjs.org/@types/glob/-/glob-([\d\.]+)@ARCHIVE_EXT@ group

## node-glob 7.2.1+~cs7.6.15

=== debian/changelog ===
node-glob (7.2.1+~cs7.6.15-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.2.1+~cs7.6.15

 -- Yadd <yadd@debian.org>  Thu, 17 Feb 2022 11:07:04 +0100

node-glob (7.2.0+~cs7.6.15-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Fix filenamemangle
  * Drop dependency to nodejs
  * New upstream version 7.2.0+~cs7.6.15
  * Require node-minimatch >= 3.1.1~ (Closes: #1005521)
  * Add node-memfs in test dependencies

 -- Yadd <yadd@debian.org>  Sun, 13 Feb 2022 16:07:37 +0100

node-glob (7.1.7+~cs7.5.19-2) unstable; urgency=medium

  * Team upload.
  * Declare compliance with policy 4.6.0
  * Don't launch test when arch is i386

 -- Yadd <yadd@debian.org>  Sat, 04 Sep 2021 08:40:14 +0200

node-glob (7.1.7+~cs7.5.19-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on node-once, node-tap.
    + node-glob: Drop versioned constraint on node-once in Depends.

  [ Yadd ]
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * Fix GitHub tags regex

  [ Pirate Praveen ]
  * Add components: tiny-glob, globalizer, globrex
  * New upstream version 7.1.7+~cs7.5.19
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Sat, 14 Aug 2021 02:22:55 +0530

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>, Jérémy Lal <kapouer@melix.org>
 Section: javascript
-Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , node-fs.realpath <!nocheck>
  , node-inflight <!nocheck>
  , node-inherits <!nocheck>
- , node-minimatch (>= 3.0.4~) <!nocheck>
+ , node-minimatch (>= 3.1.1~) <!nocheck>
+ , node-memfs <!nocheck>
  , node-mkdirp (>= 1) <!nocheck>
- , node-once (>= 1.3~) <!nocheck>
+ , node-once <!nocheck>
  , node-path-is-absolute <!nocheck>
  , node-rimraf <!nocheck>
- , node-tap (>= 7.1.2~) <!nocheck>
-Standards-Version: 4.5.0
+ , node-tap <!nocheck>
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-glob
 Vcs-Git: https://salsa.debian.org/js-team/node-glob.git
 Homepage: https://github.com/isaacs/node-glob
@@ -27,10 +27,9 @@
  , node-fs.realpath
  , node-inflight
  , node-inherits
- , node-minimatch (>= 3.0.4~)
- , node-once (>= 1.3~)
+ , node-minimatch (>= 3.1.1~)
+ , node-once
  , node-path-is-absolute
- , nodejs
 Provides: ${nodejs:Provides}
 Breaks: node-typescript-types (<< 20201105-1~)
 Description: glob functionality for Node.js

## node-glob 8.0.3+~cs7.6.15

=== debian/changelog ===
node-glob (8.0.3+~cs7.6.15-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * New upstream version 8.0.3+~cs7.6.15
  * Drop dependency to node-path-is-absolute

 -- Yadd <yadd@debian.org>  Wed, 18 May 2022 09:37:07 +0200

node-glob (8.0.1+~cs7.6.15-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.0.1+~cs7.6.15 (no real changes)

 -- Yadd <yadd@debian.org>  Thu, 05 May 2022 15:22:33 +0200

node-glob (7.2.1+~cs7.6.15-2) unstable; urgency=medium

  * Team upload
  * Fix test for tap >= 15 (--no-cov)

 -- Yadd <yadd@debian.org>  Mon, 28 Mar 2022 06:16:58 +0200

## node-glob 8.0.3+~cs8.4.15

=== debian/changelog ===
node-glob (8.0.3+~cs8.4.15-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.0.3+~cs8.4.15 (updates @types/glob)

 -- Yadd <yadd@debian.org>  Tue, 29 Nov 2022 13:20:29 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,9 @@
  , node-memfs <!nocheck>
  , node-mkdirp (>= 1) <!nocheck>
  , node-once <!nocheck>
- , node-path-is-absolute <!nocheck>
  , node-rimraf <!nocheck>
  , node-tap <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-glob
 Vcs-Git: https://salsa.debian.org/js-team/node-glob.git
 Homepage: https://github.com/isaacs/node-glob
@@ -29,7 +28,6 @@
  , node-inherits
  , node-minimatch (>= 3.1.1~)
  , node-once
- , node-path-is-absolute
 Provides: ${nodejs:Provides}
 Breaks: node-typescript-types (<< 20201105-1~)
 Description: glob functionality for Node.js

## node-glob 8.1.0+~cs8.5.15

=== debian/changelog ===
node-glob (8.1.0+~cs8.5.15-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.1.0+~cs8.5.15
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Fri, 22 Dec 2023 14:13:24 +0400

node-glob (8.0.3+~cs8.4.15-4) unstable; urgency=medium

  * Team upload
  * Source-only upload

 -- Yadd <yadd@debian.org>  Thu, 12 Oct 2023 14:29:42 +0400

node-glob (8.0.3+~cs8.4.15-3) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 25 Sep 2023 07:23:51 +0400

node-glob (8.0.3+~cs8.4.15-2) experimental; urgency=medium

  * Team upload
  * Update standards version to 4.6.2, no changes needed.
  * Add patch for node-minimatch >= 9

 -- Yadd <yadd@debian.org>  Fri, 22 Sep 2023 11:21:30 +0400

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
  , node-fs.realpath <!nocheck>
  , node-inflight <!nocheck>
  , node-inherits <!nocheck>
- , node-minimatch (>= 3.1.1~) <!nocheck>
+ , node-minimatch (>= 9) <!nocheck>
  , node-memfs <!nocheck>
  , node-mkdirp (>= 1) <!nocheck>
  , node-once <!nocheck>
  , node-rimraf <!nocheck>
  , node-tap <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-glob
 Vcs-Git: https://salsa.debian.org/js-team/node-glob.git
 Homepage: https://github.com/isaacs/node-glob
@@ -26,7 +26,7 @@
  , node-fs.realpath
  , node-inflight
  , node-inherits
- , node-minimatch (>= 3.1.1~)
+ , node-minimatch (>= 9)
  , node-once
 Provides: ${nodejs:Provides}
 Breaks: node-typescript-types (<< 20201105-1~)

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_installexamples:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-glob-$1/ \
https://github.com/isaacs/node-glob/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts="searchmode=plain,ctype=nodejs,component=types-glob,pgpmode=none" \
 https://registry.npmjs.org/@types/glob https://registry.npmjs.org/@types/glob/-/glob-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=tiny-glob,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-tiny-glob-$1/ \
 https://github.com/terkelg/tiny-glob/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=globalyzer,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-globalyzer-$1/ \
 https://github.com/terkelg/globalyzer/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=globrex,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-globrex-$1/ \
 https://github.com/terkelg/globrex/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

## node-glob 10.2.7+~cs0.4.15

=== debian/changelog ===
node-glob (10.2.7+~cs0.4.15-1) unstable; urgency=medium

  * Team upload
  * Version needed for tshy

 -- Bastien Roucariès <rouca@debian.org>  Sun, 20 Apr 2025 19:41:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
- , node-fs.realpath <!nocheck>
- , node-inflight <!nocheck>
- , node-inherits <!nocheck>
- , node-minimatch (>= 9) <!nocheck>
+ , node-minimatch (>= 9)
  , node-memfs <!nocheck>
- , node-mkdirp (>= 1) <!nocheck>
- , node-once <!nocheck>
+ , node-mkdirp (>= 2.1.4) <!nocheck>
  , node-rimraf <!nocheck>
  , node-tap <!nocheck>
+ , node-typescript
+ , node-path-scurry
+ , node-minipass
+ , ts-node <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-glob
 Vcs-Git: https://salsa.debian.org/js-team/node-glob.git
@@ -23,11 +23,9 @@
 Package: node-glob
 Architecture: all
 Depends: ${misc:Depends}
- , node-fs.realpath
- , node-inflight
- , node-inherits
  , node-minimatch (>= 9)
- , node-once
+ , node-path-scurry
+ , node-minipass
 Provides: ${nodejs:Provides}
 Breaks: node-typescript-types (<< 20201105-1~)
 Description: glob functionality for Node.js

=== debian/tests/control ===
Test-Command: /usr/share/pkg-js-autopkgtest/runner require
Depends: @, nodejs, pkg-js-autopkgtest, 
Restrictions: superficial, skippable, 
Features: test-name=pkg-js-autopkgtest-require

=== debian/watch ===
--- 
+++ 
@@ -1,9 +1,10 @@
 version=4
-opts=filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-glob-$1/ \
-https://github.com/isaacs/node-glob/tags .*/archive/.*/v?([\d\.]+).tar.gz group
-
-opts="searchmode=plain,ctype=nodejs,component=types-glob,pgpmode=none" \
- https://registry.npmjs.org/@types/glob https://registry.npmjs.org/@types/glob/-/glob-([\d\.]+)@ARCHIVE_EXT@ checksum
+opts=\
+filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE-$1.tar.gz%,\
+downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
+searchmode=plain \
+https://api.github.com/repos/isaacs/node-glob/git/matching-refs/tags/v10.2 \
+https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@ group
 
 opts=\
 component=tiny-glob,\

## node-glob 10.3.6+~cs0.4.15

=== debian/changelog ===
node-glob (10.3.6+~cs0.4.15-1) experimental; urgency=medium

  * New upstream version 10.3.6+~cs0.4.15
  * copyright: bump year
  * copyright: remove types-glob/*
  * Fix build
  * Enable tests
  * Prefer less patches
  * Fix install

 -- Jérémy Lal <kapouer@melix.org>  Thu, 28 Aug 2025 13:40:26 +0200

node-glob (10.2.7+~cs0.4.15-1) experimental; urgency=medium

  * Team upload
  * Version needed for tshy

 -- Bastien Roucariès <rouca@debian.org>  Sat, 10 May 2025 16:53:44 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  , node-path-scurry
  , node-minipass
  , ts-node <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-glob
 Vcs-Git: https://salsa.debian.org/js-team/node-glob.git
 Homepage: https://github.com/isaacs/node-glob

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,15 @@
 %:
 	dh $@
 
-override_dh_installexamples:
+execute_before_dh_auto_build:
+	rm -f src/bin.ts
+
+execute_after_dh_clean:
+	rm -rf dist
+	rm -rf deleteme
+
+execute_after_dh_installexamples:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-	dh_installexamples
 	# patch example
 	find $(CURDIR)/debian/node-glob/usr/share/doc/node-glob/examples/ -name '*.js' -exec \
 		sed -i 's,require\s*[(]\s*"[.][.][^"]*"\s*[)],require("glob"),g' {} \;

=== debian/tests/control ===
--- 
+++ 
@@ -3,3 +3,8 @@
 Restrictions: superficial, skippable, 
 Features: test-name=pkg-js-autopkgtest-require
 
+Test-Command: /usr/share/pkg-js-autopkgtest/runner
+Depends: @, @builddeps@, pkg-js-autopkgtest, 
+Restrictions: allow-stderr, skippable, 
+Features: test-name=pkg-js-autopkgtest
+Architecture: amd64, arm64, armhf

=== debian/watch ===
--- 
+++ 
@@ -3,7 +3,7 @@
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
-https://api.github.com/repos/isaacs/node-glob/git/matching-refs/tags/v10.2 \
+https://api.github.com/repos/isaacs/node-glob/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@ group
 
 opts=\
